package com.fulan.application.job.remote;

import com.fulan.application.job.domain.VmyJob;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;

@FeignClient(value = "job", contextId = "JobClient")
public interface JobClient {
    /**
     * 新增任务
     *
     * @param job
     * @throws Exception
     */
    @RequestMapping(value = "/remote/job/insert", method = RequestMethod.POST)
    void insert(@RequestBody VmyJob job) throws Exception;

    /**
     * 修改任务
     *
     * @param job
     * @throws Exception
     */
    @RequestMapping(value = "/remote/job/update", method = RequestMethod.POST)
    void update(@RequestBody VmyJob job) throws Exception;

    /**
     * 删除任务
     *
     * @param jobKey
     * @throws Exception
     */
    @RequestMapping(value = "/remote/job/delete", method = RequestMethod.POST)
    void delete(@RequestParam("jobKey") String jobKey) throws Exception;

}
