package com.fulan.application.handle.quartz.job;

import com.fulan.application.feign.AliyunClient;
import com.fulan.application.handle.quartz.BaseJob;
import lombok.extern.log4j.Log4j2;
import org.quartz.InterruptableJob;
import org.quartz.JobExecutionContext;
import org.quartz.JobExecutionException;
import org.quartz.UnableToInterruptJobException;
import org.springframework.beans.factory.annotation.Autowired;

/**
 * 媒体转码
 */
@Log4j2
public class AddMediaTranscodeJob implements BaseJob, InterruptableJob {

    @Autowired
    private AliyunClient aliyunClient;

    @Override
    public void execute(JobExecutionContext context) throws JobExecutionException {
        log.info("-------------------------开始 处理媒体转码-----------------------------");
        aliyunClient.dealFinishedTranscoding();
        log.info("-------------------------结束 处理媒体转码-----------------------------");
    }

    @Override
    public void interrupt() throws UnableToInterruptJobException {

    }
}
