package com.fulan.application.handle.quartz.job;

import java.text.SimpleDateFormat;
import java.util.Date;

import org.quartz.InterruptableJob;
import org.quartz.JobExecutionContext;
import org.quartz.JobExecutionException;
import org.quartz.UnableToInterruptJobException;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;

import com.fulan.application.feign.AlbumJobHandleClient;
import com.fulan.application.handle.quartz.BaseJob;

public class AlbumUnLockJob implements BaseJob, InterruptableJob  {

    private final Logger LOG = LoggerFactory.getLogger(AlbumUnLockJob.class);
    private SimpleDateFormat format = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
    
    @Autowired
    private AlbumJobHandleClient albumJobHandleClient;
    @Override
    public void execute(JobExecutionContext context) throws JobExecutionException {
        LOG.info("定时任务开始执行解锁课程，当前时间：" + format.format(new Date()));
        try {
			albumJobHandleClient.unLockCourse();
		} catch (Exception e) {
			LOG.error("解锁课程失败=====================",e);
		}
    }


    @Override
    public void interrupt() throws UnableToInterruptJobException {

    }
}
