
package com.fulan.application.handle.quartz.job;

import com.fulan.application.feign.BannerManageFeignClients;
import com.fulan.application.handle.quartz.BaseJob;
import org.quartz.InterruptableJob;
import org.quartz.JobExecutionContext;
import org.quartz.JobExecutionException;
import org.quartz.UnableToInterruptJobException;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;

/**
 *
 * @author lilingye
 * @create 2018-9-5 14:48:16
 * @since 1.0.0
 */
public class BannerUpJob implements BaseJob, InterruptableJob {

    private final Logger LOG = LoggerFactory.getLogger(BannerUpJob.class);

//    @Autowired
//    SystemMessageClient messageClient;

    @Autowired
    BannerManageFeignClients bannerManageFeignClient;


    @Override
    public void execute(JobExecutionContext context) throws JobExecutionException {
    	Long id=Long.parseLong(context.getTrigger().getJobKey().getName());

        LOG.info("执行banner上架的操作："+id);
        try {
            bannerManageFeignClient.upBanner(id);

		} catch (Exception e) {
			LOG.error("=====================",e);
		}
    }


    @Override
    public void interrupt() throws UnableToInterruptJobException {

    }
}
