package com.fulan.application.handle.quartz.job;

import org.quartz.InterruptableJob;
import org.quartz.JobExecutionContext;
import org.quartz.JobExecutionException;
import org.quartz.UnableToInterruptJobException;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;

import com.fulan.api.feign.StatisticStudentCaseClient;
import com.fulan.application.feign.CourseReportClient;
import com.fulan.application.feign.StatisticsCourseClient;
import com.fulan.application.handle.quartz.BaseJob;

public class CourseIntoTableJob implements BaseJob, InterruptableJob {

	private final Logger LOG = LoggerFactory.getLogger(CourseIntoTableJob.class);
	
	@Autowired
	private CourseReportClient courseReportClient;
	
	@Autowired
	private StatisticsCourseClient statisticsCourseClient;
	
	@Autowired
	private StatisticStudentCaseClient statisticStudentCaseClient;

	@Override
	public void execute(JobExecutionContext context) throws JobExecutionException {
		try {
			LOG.info("在线课程自动入表任务，启动");
			//courseReportClient.AsynchronousCourse(null,null);
			statisticsCourseClient.AsynchronousCourse(null, null);
			LOG.info("在线课程自动入表任务，完毕");
		} catch (Exception e) {
			LOG.info("在线课程自动入表任务，异常");
			e.printStackTrace();
		}
		try {
			LOG.info("学员案例自动入表任务，启动");
			statisticStudentCaseClient.insertAll();
			LOG.info("学员案例自动入表任务，完毕");
		} catch (Exception e) {
			LOG.info("学员案例自动入表任务，完毕");
			e.printStackTrace();
		}
	}

	@Override
	public void interrupt() throws UnableToInterruptJobException {

	}
}
