package com.fulan.application.handle.quartz.job;

import com.fulan.application.feign.CourseClient;
import com.fulan.application.feign.InformationManageFeignClients;
import com.fulan.application.handle.quartz.BaseJob;
import org.quartz.InterruptableJob;
import org.quartz.JobExecutionContext;
import org.quartz.JobExecutionException;
import org.quartz.UnableToInterruptJobException;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;

/**
 * 授权到期下架 失效
 * @since 2018-9-19 16:38:24
 * @author lilingye
 */
public class CourseInvalidJob implements BaseJob, InterruptableJob {

    private final Logger LOG = LoggerFactory.getLogger(BannerUpJob.class);

    @Autowired
    CourseClient courseClient;


    @Override
    public void execute(JobExecutionContext context) throws JobExecutionException {
        Long id=Long.parseLong(context.getTrigger().getJobKey().getName());

        LOG.info("执行授权课程的下架和失效的操作："+id);
        try {
            courseClient.invalidCourse(id);

        } catch (Exception e) {
            LOG.error("=====================",e);
        }
    }


    @Override
    public void interrupt() throws UnableToInterruptJobException {

    }
}
