package com.fulan.application.handle.quartz.job;

import org.quartz.InterruptableJob;
import org.quartz.JobExecutionContext;
import org.quartz.JobExecutionException;
import org.quartz.UnableToInterruptJobException;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import com.fulan.api.feign.StatisticsExamMetadataClient;
import com.fulan.application.handle.quartz.BaseJob;


public class ExamInToTableJob implements BaseJob, InterruptableJob  {

	private final Logger LOG = LoggerFactory.getLogger(ExamInToTableJob.class);
	
	@Autowired
	private StatisticsExamMetadataClient statisticsExamMetadataClient;
	
	@Override
	public void interrupt() throws UnableToInterruptJobException {
		
		
	}

	@Override
	public void execute(JobExecutionContext context) throws JobExecutionException {
		// TODO Auto-generated method stub
		// TODO Auto-generated method stub
				try {
					LOG.info("考试报表自动入表任务，启动");
					statisticsExamMetadataClient.AsynchronousExam("", "");
					LOG.info("考试报表自动入表任务，完毕");
				} catch (Exception e) {
					// TODO Auto-generated catch block
					LOG.info("考试报表自动入表任务，异常");
					e.printStackTrace();
				}
		
	}

}
