/**
 * FileName: HttpSetjob
 * Author:   wenjunlong
 * Date:     2018/5/26 13:59
 * Description: 发送请求job
 * History:
 * <author>          <time>          <version>          <desc>
 * 作者姓名           修改时间           版本号              描述
 */
package com.fulan.application.handle.quartz.job;

import org.quartz.InterruptableJob;
import org.quartz.JobExecutionContext;
import org.quartz.JobExecutionException;
import org.quartz.UnableToInterruptJobException;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;

import com.fulan.api.feign.ExamQuestionApiClient;
import com.fulan.api.vo.exam.ExamAnswerVO;
import com.fulan.application.handle.quartz.BaseJob;

/**
 * 定时检查是否有过期的考试，有的话自动提交考试信息
 * @author mei
 * 
 */
public class ExamJob implements BaseJob, InterruptableJob {

    private final Logger LOG = LoggerFactory.getLogger(ExamJob.class);

    @Autowired
    ExamQuestionApiClient examQuestionApiClient;

    @Override
    public void execute(JobExecutionContext context) throws JobExecutionException {
        try{
        	LOG.info("考试失效自动提交任务，启动");
        	ExamAnswerVO answerVo = new ExamAnswerVO();
        	examQuestionApiClient.jobSubmitExamLose(answerVo);
        	LOG.info("考试失效自动提交任务，完毕");
        } catch(Exception e){
        	LOG.info("考试失效自动提交任务，异常");
        	e.printStackTrace();
        }
    }

    @Override
    public void interrupt() throws UnableToInterruptJobException {

    }
}
