package com.fulan.application.handle.quartz.job;

import com.fulan.application.feign.InformationManageFeignClients;
import com.fulan.application.handle.quartz.BaseJob;
import org.quartz.InterruptableJob;
import org.quartz.JobExecutionContext;
import org.quartz.JobExecutionException;
import org.quartz.UnableToInterruptJobException;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;

/**
 * 新闻资讯上架
 * @since 2018-9-7 14:40:12
 * @author lilingye
 */
public class InformationUpJob implements BaseJob, InterruptableJob {

    private final Logger LOG = LoggerFactory.getLogger(BannerUpJob.class);

    @Autowired
    InformationManageFeignClients informationClient;


    @Override
    public void execute(JobExecutionContext context) throws JobExecutionException {
        Long id=Long.parseLong(context.getTrigger().getJobKey().getName());

        LOG.info("执行informartion上架的操作："+id);
        try {
            informationClient.upInfomation(id);

        } catch (Exception e) {
            LOG.error("=====================",e);
        }
    }


    @Override
    public void interrupt() throws UnableToInterruptJobException {

    }
}
