package com.fulan.application.handle.quartz.job;

import com.fulan.application.handle.quartz.BaseJob;
import com.fulan.application.system.remote.OrganizationClient;
import org.quartz.InterruptableJob;
import org.quartz.JobExecutionContext;
import org.quartz.JobExecutionException;
import org.quartz.UnableToInterruptJobException;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.ArrayList;

/**
 * @ClassName OrganizationJob
 * @Description 定时重置部门索引
 * @Author shengchenglong
 * @DATE 2019-04-10 14:59
 * @Version 1.0
 */
public class OrganizationJob implements BaseJob, InterruptableJob {

    private static final Logger LOGGER = LoggerFactory.getLogger(OrganizationJob.class);

    @Autowired
    private OrganizationClient organizationClient;

    @Override
    public void execute(JobExecutionContext context) throws JobExecutionException {
        // 重置所有企业部门索引
        LOGGER.info("----------------开始 重建部门索引---------------------");
        organizationClient.rebuildOrgIndex(new ArrayList<>());
        LOGGER.info("----------------完成 重建部门索引---------------------");
    }

    @Override
    public void interrupt() throws UnableToInterruptJobException {

    }
}
