
package com.fulan.application.handle.quartz.job;

import com.fulan.application.feign.remote.RemoteJobHandleClient;
import com.fulan.application.handle.quartz.BaseJob;
import org.quartz.InterruptableJob;
import org.quartz.JobExecutionContext;
import org.quartz.JobExecutionException;
import org.quartz.UnableToInterruptJobException;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;

import java.text.SimpleDateFormat;
import java.util.Date;

/**
 * @author hutao
 * @create
 * @since 1.0.0
 */
public class SendNewMessageJob implements BaseJob, InterruptableJob {

    private final Logger LOG = LoggerFactory.getLogger(SendNewMessageJob.class);
    private SimpleDateFormat format = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");

    @Autowired
    private RemoteJobHandleClient remoteJobHandleClient;


    @Override
    public void execute(JobExecutionContext context) throws JobExecutionException {
        LOG.info("定时任务开始执行发送消息，当前时间：" + format.format(new Date()));
        remoteJobHandleClient.sendMessageHandle();
    }


    @Override
    public void interrupt() throws UnableToInterruptJobException {

    }
}
