package com.fulan.application.handle.quartz.job;

import org.quartz.InterruptableJob;
import org.quartz.JobExecutionContext;
import org.quartz.JobExecutionException;
import org.quartz.UnableToInterruptJobException;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;

import com.fulan.application.feign.TrainingProjectReportClient;
import com.fulan.application.handle.quartz.BaseJob;

public class StatisticsTrainingProjectJob implements BaseJob, InterruptableJob {

	private final Logger LOG = LoggerFactory.getLogger(StatisticsTrainingProjectJob.class);
	
	@Autowired
	private TrainingProjectReportClient trainingProjectReportClient;

	@Override
	public void execute(JobExecutionContext context) throws JobExecutionException {
		try {
			LOG.info("项目自动入表任务，启动");
			trainingProjectReportClient.AsynchronousCourse(null,null);
			LOG.info("项目自动入表任务，完毕");
		} catch (Exception e) {
			LOG.info("项目自动入表任务，异常");
			e.printStackTrace();
		}
	}

	@Override
	public void interrupt() throws UnableToInterruptJobException {

	}
}
