package com.fulan.application.handle.quartz.job;

import java.text.SimpleDateFormat;
import java.util.Date;

import org.quartz.InterruptableJob;
import org.quartz.JobExecutionContext;
import org.quartz.JobExecutionException;
import org.quartz.UnableToInterruptJobException;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;

import com.fulan.application.feign.SydPointAcctranClient;
import com.fulan.application.handle.quartz.BaseJob;

public class SydPointAcctranJob implements BaseJob, InterruptableJob  {
    private final Logger LOG = LoggerFactory.getLogger(AlbumUnLockJob.class);
    private SimpleDateFormat format = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
    
    @Autowired
    private SydPointAcctranClient sydPointAcctranClient;
    @Override
    public void execute(JobExecutionContext context) throws JobExecutionException {
        LOG.info("定时任务开始处理江苏银行苏银豆积分，当前时间：" + format.format(new Date()));
        try {
        	sydPointAcctranClient.AsynchronousPointAcctran(null, null, null, null);
		} catch (Exception e) {
			LOG.error("处理江苏银行苏银豆积分异常！！！",e);
		}
    }


    @Override
    public void interrupt() throws UnableToInterruptJobException {

    }
}
