package com.fulan.application.handle.quartz.job;

import com.alibaba.fastjson.JSONArray;
import com.fulan.application.cache.RedisCache;
import com.fulan.application.domain.Chapter;
import com.fulan.application.domain.Recorde;
import com.fulan.application.domain.StudyLog;
import com.fulan.application.event.EventWrapper;
import com.fulan.application.feign.*;
import com.fulan.application.handle.quartz.BaseJob;
import com.fulan.application.publish.CloudEventPublisher;
import com.fulan.application.task.AbstractTaskHandler;
import com.fulan.application.task.TaskExecutor;
import com.fulan.application.util.constant.QueueConstant;
import com.fulan.application.util.event.TrainingProjectEvent;
import com.fulan.application.vo.PointParamVO;
import org.quartz.InterruptableJob;
import org.quartz.JobExecutionContext;
import org.quartz.JobExecutionException;
import org.quartz.UnableToInterruptJobException;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.amqp.core.AmqpTemplate;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.util.StringUtils;

import java.util.*;

/**
 *
 * @author lilingye
 * @create 2018-6-5 13:32:45
 * @since 1.0.0
 */
public class WechatJob implements BaseJob, InterruptableJob {

    private final Logger LOG = LoggerFactory.getLogger(WechatJob.class);

    @Autowired
    WeiXinClient weiXinClient;

    @Autowired
    TrainingProjectClient trainingProjectClient;
    
    @Override
    public void execute(JobExecutionContext context) throws JobExecutionException {

        LOG.info("执行微信access_token和jsapiticket的新增/更新");
        weiXinClient.saveAccessTokenToRedis();
        LOG.info("执行培训项目已学习人数的更新");
        trainingProjectClient.getJoinNumber();
    }



    @Override
    public void interrupt() throws UnableToInterruptJobException {

    }
}
