package com.fulan.application.task;

import com.fulan.application.feign.HeartbeatHandleClient;
import com.fulan.application.file.task.AbstractDefaultTask;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.Map;

/**
 * 心跳异步处理
 */
@Component
public class HeartbeatHandleAsync extends AbstractDefaultTask<String, Map<String,Object>> {

    private static final Logger logger = LoggerFactory.getLogger(HeartbeatHandleAsync.class);

    public final static String PARAM_NAME = "sessionId";

    @Autowired
    private HeartbeatHandleClient heartbeatHandleClient;

    @Override
    protected String execute(Map<String, Object> stringObjectMap) {
        Object param = stringObjectMap.get(PARAM_NAME);
        logger.info("HeartbeatHandleAsync 处理开始");
        heartbeatHandleClient.calculate(param.toString());
        return "OK";
    }
}
